Blame 0013-livenet-take-into-account-other-ca-bundle-paths-use-.patch
|
Harald Hoyer |
55891e |
From 07aeaae356cf001ebe527a5e106e04b5df6aca4c Mon Sep 17 00:00:00 2001
|
|
Harald Hoyer |
55891e |
From: =?UTF-8?q?Amadeusz=20=C5=BBo=C5=82nowski?= <aidecoe@aidecoe.name>
|
|
Harald Hoyer |
55891e |
Date: Sun, 21 Aug 2011 12:47:14 +0200
|
|
Harald Hoyer |
55891e |
Subject: [PATCH] livenet: take into account other ca-bundle paths; use
|
|
Harald Hoyer |
55891e |
inst_any for that
|
|
Harald Hoyer |
55891e |
|
|
Harald Hoyer |
55891e |
---
|
|
Harald Hoyer |
55891e |
modules.d/90livenet/module-setup.sh | 4 +++-
|
|
Harald Hoyer |
55891e |
1 files changed, 3 insertions(+), 1 deletions(-)
|
|
Harald Hoyer |
55891e |
|
|
Harald Hoyer |
55891e |
diff --git a/modules.d/90livenet/module-setup.sh b/modules.d/90livenet/module-setup.sh
|
|
Harald Hoyer |
55891e |
index 3ae72de..b166859 100755
|
|
Harald Hoyer |
55891e |
--- a/modules.d/90livenet/module-setup.sh
|
|
Harald Hoyer |
55891e |
+++ b/modules.d/90livenet/module-setup.sh
|
|
Harald Hoyer |
55891e |
@@ -15,7 +15,9 @@ depends() {
|
|
Harald Hoyer |
55891e |
install() {
|
|
Harald Hoyer |
55891e |
dracut_install wget
|
|
Harald Hoyer |
55891e |
mkdir -m 0755 -p "$initdir/etc/ssl/certs"
|
|
Harald Hoyer |
55891e |
- if ! inst_simple /etc/ssl/certs/ca-bundle.crt; then
|
|
Harald Hoyer |
55891e |
+ if ! inst_any -t /etc/ssl/certs/ca-bundle.crt \
|
|
Harald Hoyer |
55891e |
+ /etc/ssl/certs/ca-bundle.crt \
|
|
Harald Hoyer |
55891e |
+ /etc/ssl/certs/ca-certificates.crt; then
|
|
Harald Hoyer |
55891e |
dwarn "Couldn't find SSL CA cert bundle; HTTPS won't work."
|
|
Harald Hoyer |
55891e |
fi
|
|
Harald Hoyer |
55891e |
|